# Interface methods for submodule: FFTShiftImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CyclicShiftImageFilterProxy as _CyclicShiftImageFilterProxy


# Interface methods for class: FFTShiftImageFilter
class FFTShiftImageFilterProxy(_CyclicShiftImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInverse(self, _arg: bool) -> None:
		""""""
		...

	def GetInverse(self) -> bool:
		""""""
		...

	def InverseOn(self) -> None:
		""""""
		...

	def InverseOff(self) -> None:
		""""""
		...

